I believe I rolled back to the first 2.1a leaked version...General


Last Updated:

  1. Candroid

    Candroid Well-Known Member This Topic's Starter

    Joined:
    Dec 15, 2009
    Messages:
    144
    Likes Received:
    10
    First. I have searched for this info. I have been a member for a while and usually find my answer to my questions...But I am stumped here.

    I know it said it can't be done. But I saved both files. I downloaded first leak 2.1a and install successfully and had no probs. But then that "verizon employee" who said he had the official leak 2.1b I downloaded and installed successfully.

    I was getting mad at my phone for the no speaker or microphone everyday this was happening. So I pulled back up the 2.1a and put on sd card and installed.

    Here are the file sizes for the first one 2.1a 108,854,573 bytes.

    2.1b 108,819,939 bytes.

    my kernal version for 2.1a is: 2.6.29-5cf233c htc-kernel@and18-2 #1.


    Can someone confirm that kernel for 2.1a or prove me wrong showing me that the 2.1b kernel is the same. I forgot to look at the 2.1b kernel. This is why I am asking.

    I'm hoping I actually downgraded...But I am not sure.
     

    Advertisement
  2. mothy

    mothy Well-Known Member

    Joined:
    Feb 8, 2010
    Messages:
    157
    Likes Received:
    27
    my kernel is 2.6.29-564a4a15 htc-kernel@and18-2 #1

    Running leak number 2
     
  3. thenestor

    thenestor Well-Known Member

    Joined:
    Dec 27, 2009
    Messages:
    1,038
    Likes Received:
    316
    Both leaks use the exact same boot loader, so you can easily upgrade and downgrade between them. What can't be done (without root) is downgrading back to 1.5, because it has an older version of the boot loader.
     
    2dot1 and zerovertex like this.
  4. Scynthetic78

    Scynthetic78 Well-Known Member

    Joined:
    Jan 26, 2010
    Messages:
    210
    Likes Received:
    10
    I'm on 2.1b

    Kernel version
    2.6.29-564a4a15
    htc-kernel@and18-2#1
     
  5. zerovertex

    zerovertex Well-Known Member

    Joined:
    Feb 11, 2010
    Messages:
    88
    Likes Received:
    1
    Also running 2.1b with kernel 2.6.29-564a4a15 htc-kernel@and18-2 #1
     
  6. Scynthetic78

    Scynthetic78 Well-Known Member

    Joined:
    Jan 26, 2010
    Messages:
    210
    Likes Received:
    10
    I was lead to believe the bootloader actually checked version numbers, and wouldn't allow a downgrade period.
     
  7. Candroid

    Candroid Well-Known Member This Topic's Starter

    Joined:
    Dec 15, 2009
    Messages:
    144
    Likes Received:
    10
    exactly what I was thinking...I had read that we couldn't re-install the first leak because of that....hmmmm I know we can't downgrade to 1.5...unless we had root. But I thought once you upgraded kernel version you where stuck with the one you had.
     
  8. LiverpoolsNo9

    LiverpoolsNo9 Well-Known Member

    Joined:
    Feb 3, 2010
    Messages:
    258
    Likes Received:
    32
    If they have the same bootloader you can switch as many times as you want.
     
  9. superchaos

    superchaos Well-Known Member

    Joined:
    Dec 13, 2009
    Messages:
    486
    Likes Received:
    36
    Would that mean if the boot loader on the leak was used on the 2.1 root, we could switch from the leak to root?
     
  10. LiverpoolsNo9

    LiverpoolsNo9 Well-Known Member

    Joined:
    Feb 3, 2010
    Messages:
    258
    Likes Received:
    32
    The root method currently available uses the bootloader from 1.5 to initialize.
     
  11. Scynthetic78

    Scynthetic78 Well-Known Member

    Joined:
    Jan 26, 2010
    Messages:
    210
    Likes Received:
    10
    I'm sure it's been mentioned/tried before, but what about rolling back from a 2.1b leak to 2.1a root rom? Seems way too obvious and easy, but I know how horribly bad I am at overlooking the simplest things sometimes. I'm guessing it will fail the signature check, but who knows.....
     
  12. Candroid

    Candroid Well-Known Member This Topic's Starter

    Joined:
    Dec 15, 2009
    Messages:
    144
    Likes Received:
    10

    As they said earlier...I wish it was that easy. But the 2.1a root rom uses the bootloader from 1.5. I am assuming it will fail sign check...excellent thought though!!!
     

Share This Page

Loading...